igeo

## Class ILinkedNodeMeshAgent

- java.lang.Object
- - igeo.IObject
  - - igeo.IAgent
    - - igeo.ILinkedNodeMeshAgent

- All Implemented Interfaces:
    IDynamics, ISubobject

      public class ILinkedNodeMeshAgent
      extends IAgent

  Mesh with vertices linked with scalar data and visualized as vertex color
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IMesh` | `mesh`
    `ILinkedScalarAgent[]` | `nodeAgents`

    - ### Fields inherited from class igeo.IAgent

      `alive, duration, interactOverridden, localDynamics, parent, targets, time`

    - ### Fields inherited from class igeo.IObject

      `attribute, dynamics, graphics, parameter, server, userData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ILinkedNodeMeshAgent(IMesh m)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `data(int i)`
    `ILinkedNodeMeshAgent` | `data(int i, double value)`
    `int` | `edgeNum()`
    `IColor` | `faceColor(int i)` set face color
    `ILinkedNodeMeshAgent` | `faceColor(int i, java.awt.Color c)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, java.awt.Color c, double alpha)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, java.awt.Color c, float alpha)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, java.awt.Color c, int alpha)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, double dgray)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, double dgray, double dalpha)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, double dr, double dg, double db)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, double dr, double dg, double db, double da)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, float fgray)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, float fgray, float falpha)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, float fr, float fg, float fb)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, float fr, float fg, float fb, float fa)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, IColor c)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, IColor c, double alpha)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, IColor c, float alpha)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, IColor c, int alpha)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, int gray)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, int gray, int alpha)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, int r, int g, int b)`
    `ILinkedNodeMeshAgent` | `faceColor(int i, int r, int g, int b, int a)`
    `ILinkedNodeMeshAgent` | `faceColorHSB(int i, double dh, double ds, double db)`
    `ILinkedNodeMeshAgent` | `faceColorHSB(int i, double dh, double ds, double db, double da)`
    `ILinkedNodeMeshAgent` | `faceColorHSB(int i, float h, float s, float b)`
    `ILinkedNodeMeshAgent` | `faceColorHSB(int i, float h, float s, float b, float a)`
    `ILinkedNodeMeshAgent` | `faceHSB(int i, double dh, double ds, double db)`
    `ILinkedNodeMeshAgent` | `faceHSB(int i, double dh, double ds, double db, double da)`
    `ILinkedNodeMeshAgent` | `faceHSB(int i, float h, float s, float b)`
    `ILinkedNodeMeshAgent` | `faceHSB(int i, float h, float s, float b, float a)`
    `int` | `faceNum()`
    `double` | `fric(int i)`
    `ILinkedNodeMeshAgent` | `fric(int i, double fric)`
    `double` | `getData(int i)`
    `double` | `getFriction(int i)`
    `void` | `initNodes()`
    `IMesh` | `mesh()`
    `ILinkedScalarAgent` | `node(int i)`
    `ILinkedNodeMeshAgent` | `setData(int i, double value)`
    `ILinkedNodeMeshAgent` | `setFriction(int i, double fric)`
    `IColor` | `vertexColor(int i)` set vertex color
    `ILinkedNodeMeshAgent` | `vertexColor(int i, java.awt.Color c)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, java.awt.Color c, double alpha)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, java.awt.Color c, float alpha)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, java.awt.Color c, int alpha)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, double dgray)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, double dgray, double dalpha)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, double dr, double dg, double db)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, double dr, double dg, double db, double da)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, float fgray)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, float fgray, float falpha)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, float fr, float fg, float fb)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, float fr, float fg, float fb, float fa)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, IColor c)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, IColor c, double alpha)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, IColor c, float alpha)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, IColor c, int alpha)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, int gray)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, int gray, int alpha)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, int r, int g, int b)`
    `ILinkedNodeMeshAgent` | `vertexColor(int i, int r, int g, int b, int a)`
    `ILinkedNodeMeshAgent` | `vertexColorHSB(int i, double dh, double ds, double db)`
    `ILinkedNodeMeshAgent` | `vertexColorHSB(int i, double dh, double ds, double db, double da)`
    `ILinkedNodeMeshAgent` | `vertexColorHSB(int i, float h, float s, float b)`
    `ILinkedNodeMeshAgent` | `vertexColorHSB(int i, float h, float s, float b, float a)`
    `ILinkedNodeMeshAgent` | `vertexHSB(int i, double dh, double ds, double db)`
    `ILinkedNodeMeshAgent` | `vertexHSB(int i, double dh, double ds, double db, double da)`
    `ILinkedNodeMeshAgent` | `vertexHSB(int i, float h, float s, float b)`
    `ILinkedNodeMeshAgent` | `vertexHSB(int i, float h, float s, float b, float a)`
    `int` | `vertexNum()`

    - ### Methods inherited from class igeo.IAgent

      `addDynamics, alive, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, del, del, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, hide, hsb, hsb, hsb, hsb, initAgent, interact, interact, layer, localDynamics, name, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setHSBColor, setHSBColor, show, target, target, targetNum, targets, time, time, update, updateGraphic, updateTarget, weight, weight`

    - ### Methods inherited from class igeo.IObject

      `addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, clr, clr, clr, clr, cp, createGraphic, defaultAttribute, deleteGraphic, dup, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isValid, isVisible, layer, layer, name, red, redInt, resetGraphic, saturation, server, setColor, setColor, setColor, setColor, setParameter, setTexture, syncColor, syncGraphic, syncVisibility, syncWeight, texture, userData, userData, userData, userDataNum, visible, weight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mesh

          public IMesh mesh

    - #### nodeAgents

          public ILinkedScalarAgent[] nodeAgents

  - ### Constructor Detail

    - #### ILinkedNodeMeshAgent

          public ILinkedNodeMeshAgent(IMesh m)

  - ### Method Detail

    - #### node

          public ILinkedScalarAgent node(int i)

    - #### data

          public double data(int i)

    - #### getData

          public double getData(int i)

    - #### data

          public ILinkedNodeMeshAgent data(int i,
                                           double value)

    - #### setData

          public ILinkedNodeMeshAgent setData(int i,
                                              double value)

    - #### fric

          public ILinkedNodeMeshAgent fric(int i,
                                           double fric)

    - #### setFriction

          public ILinkedNodeMeshAgent setFriction(int i,
                                                  double fric)

    - #### fric

          public double fric(int i)

    - #### getFriction

          public double getFriction(int i)

    - #### initNodes

          public void initNodes()

    - #### mesh

          public IMesh mesh()

    - #### vertexNum

          public int vertexNum()

    - #### edgeNum

          public int edgeNum()

    - #### faceNum

          public int faceNum()

    - #### vertexColor

          public IColor vertexColor(int i)

      set vertex color

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  IColor c)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  IColor c,
                                                  int alpha)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  IColor c,
                                                  float alpha)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  IColor c,
                                                  double alpha)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  java.awt.Color c)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  java.awt.Color c,
                                                  int alpha)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  java.awt.Color c,
                                                  float alpha)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  java.awt.Color c,
                                                  double alpha)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  int gray)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  double dgray)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  float fgray)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  int gray,
                                                  int alpha)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  double dgray,
                                                  double dalpha)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  float fgray,
                                                  float falpha)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  int r,
                                                  int g,
                                                  int b)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  double dr,
                                                  double dg,
                                                  double db)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  float fr,
                                                  float fg,
                                                  float fb)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  int r,
                                                  int g,
                                                  int b,
                                                  int a)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  double dr,
                                                  double dg,
                                                  double db,
                                                  double da)

    - #### vertexColor

          public ILinkedNodeMeshAgent vertexColor(int i,
                                                  float fr,
                                                  float fg,
                                                  float fb,
                                                  float fa)

    - #### vertexHSB

          public ILinkedNodeMeshAgent vertexHSB(int i,
                                                double dh,
                                                double ds,
                                                double db,
                                                double da)

    - #### vertexColorHSB

          public ILinkedNodeMeshAgent vertexColorHSB(int i,
                                                     double dh,
                                                     double ds,
                                                     double db,
                                                     double da)

    - #### vertexHSB

          public ILinkedNodeMeshAgent vertexHSB(int i,
                                                float h,
                                                float s,
                                                float b,
                                                float a)

    - #### vertexColorHSB

          public ILinkedNodeMeshAgent vertexColorHSB(int i,
                                                     float h,
                                                     float s,
                                                     float b,
                                                     float a)

    - #### vertexHSB

          public ILinkedNodeMeshAgent vertexHSB(int i,
                                                double dh,
                                                double ds,
                                                double db)

    - #### vertexColorHSB

          public ILinkedNodeMeshAgent vertexColorHSB(int i,
                                                     double dh,
                                                     double ds,
                                                     double db)

    - #### vertexHSB

          public ILinkedNodeMeshAgent vertexHSB(int i,
                                                float h,
                                                float s,
                                                float b)

    - #### vertexColorHSB

          public ILinkedNodeMeshAgent vertexColorHSB(int i,
                                                     float h,
                                                     float s,
                                                     float b)

    - #### faceColor

          public IColor faceColor(int i)

      set face color

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                IColor c)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                IColor c,
                                                int alpha)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                IColor c,
                                                float alpha)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                IColor c,
                                                double alpha)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                java.awt.Color c)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                java.awt.Color c,
                                                int alpha)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                java.awt.Color c,
                                                float alpha)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                java.awt.Color c,
                                                double alpha)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                int gray)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                double dgray)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                float fgray)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                int gray,
                                                int alpha)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                double dgray,
                                                double dalpha)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                float fgray,
                                                float falpha)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                int r,
                                                int g,
                                                int b)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                double dr,
                                                double dg,
                                                double db)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                float fr,
                                                float fg,
                                                float fb)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                int r,
                                                int g,
                                                int b,
                                                int a)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                double dr,
                                                double dg,
                                                double db,
                                                double da)

    - #### faceColor

          public ILinkedNodeMeshAgent faceColor(int i,
                                                float fr,
                                                float fg,
                                                float fb,
                                                float fa)

    - #### faceHSB

          public ILinkedNodeMeshAgent faceHSB(int i,
                                              double dh,
                                              double ds,
                                              double db,
                                              double da)

    - #### faceColorHSB

          public ILinkedNodeMeshAgent faceColorHSB(int i,
                                                   double dh,
                                                   double ds,
                                                   double db,
                                                   double da)

    - #### faceHSB

          public ILinkedNodeMeshAgent faceHSB(int i,
                                              float h,
                                              float s,
                                              float b,
                                              float a)

    - #### faceColorHSB

          public ILinkedNodeMeshAgent faceColorHSB(int i,
                                                   float h,
                                                   float s,
                                                   float b,
                                                   float a)

    - #### faceHSB

          public ILinkedNodeMeshAgent faceHSB(int i,
                                              double dh,
                                              double ds,
                                              double db)

    - #### faceColorHSB

          public ILinkedNodeMeshAgent faceColorHSB(int i,
                                                   double dh,
                                                   double ds,
                                                   double db)

    - #### faceHSB

          public ILinkedNodeMeshAgent faceHSB(int i,
                                              float h,
                                              float s,
                                              float b)

    - #### faceColorHSB

          public ILinkedNodeMeshAgent faceColorHSB(int i,
                                                   float h,
                                                   float s,
                                                   float b)